## gcb 1.07.3

=== Makefile ===
CC = gcc
PROG = gcb

$(PROG):
	$(CC) $(CFLAGS) -o $(PROG) gc.c -lm

install:
	install -s -o root -g root $(PROG) $(DESTDIR)/usr/bin

clean:
	rm -f gc $(PROG)

## gcb 1.07

=== debian/changelog ===
gcb (1:1.07-4) unstable; urgency=medium

  * Adopted by the Debian Hamradio Maintainers (Closes: #553654)
  * debian/control:
    - Bumped standards version to 3.9.6
    - Maintainer set to Debian Hamradio Maintainers
    - Added myself to uploaders
    - Changed debhelper version to >= 9
    - Added ${misc:Depends} to Build-Depends
    - Added Vcs-* fields for the pkg-hamradio Git repository
  * debian/compat:
    - Bumped compat level to 9
  * Source format changed to 3.0 (quilt)
  * debian/rules:
    - Switched to streamlined dh format
  * Created debian/gcb.manpages to install manpages previously installed
    in debian/rules
  * Added watch file
  * debian/copyright:
    - Converted to DEP-5 format
  * debian/patches/add-makefile.patch:
    - Include a Makefile, now uses dpkg-buildflags for CFLAGS and LDFLAGS
  * debian/patches/pre-quilt-changes.patch:
    - Changes to the source code made prior to the change of source format

 -- Iain R. Learmonth <irl@fsfe.org>  Thu, 13 Aug 2015 00:02:05 +0100

gcb (1:1.07-3) unstable; urgency=low

  * Retiring - set the package maintainer to Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 01 Nov 2009 19:17:14 +0000

gcb (1:1.07-2) unstable; urgency=low

  * French manual page by Tom KASZEMACHER <kutt@free.fr>, thanks!

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 07 May 2008 20:29:24 +0200

gcb (1:1.07-1) unstable; urgency=low

  * No longer package as debian-native.
  * Closely follow the source package and name it gc.
  * Move to debhelper.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 24 Mar 2006 10:37:32 +0100

gcb (1.07.3) unstable; urgency=low

  * Correct some strings in the output, so we can get rid of the bearing
    phrases. We use radio short/long path from now on.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 16 Nov 2003 09:44:02 +0100

gcb (1.07.2) unstable; urgency=low

  * Explain what short/long path is in README.debian.
  * Adapt the package description, so gcb's limitations are clear.
  * Closes: #203178.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 30 Sep 2003 15:35:12 +0200

gcb (1.07.1) unstable; urgency=low

  * Rename the package. Closes: #183087.
  * Make this package debian-native: many changes to the code and renaming
    of the binary, package and source tree, which are all debian-specific.
  * Conflicts with gc for now.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  7 Jul 2003 17:11:21 +0200

gc (1.07-8) unstable; urgency=low

  * Update standards version.
  * Lintian fixes.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 22 Dec 2002 11:28:22 +0100

gc (1.07-7) unstable; urgency=low

  * Remove libc6-dev fron the Build-Depends line as per debian policy.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 10 Jul 2001 21:44:01 +0200

gc (1.07-6) unstable; urgency=low

  * Add build-depends. Closes: #84853.
  * Update standards version.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed, 14 Feb 2001 19:38:16 +0100

gc (1.07-5) unstable; urgency=low

  * Changed the name of the binary to gcb in manual page and when the program
    is called without an argument (closes: #70053)

 -- Joop Stakenborg <pa3aba@debian.org>  Sun,  1 Oct 2000 20:54:08 +0200

gc (1.07-4) unstable; urgency=low

  * Fixed lintian warnings.
  * Updated standards version.
  * Fixed compiler warnings.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 28 Jul 2000 09:42:26 +0200

gc (1.07-3) unstable; urgency=low

  * Fixed link to the upstream readme in the manual page.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  1 Dec 1999 21:10:08 +0100

gc (1.07-2) unstable; urgency=low

  * Updated standards version.
  * FHS.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 14 Oct 1999 18:05:54 +0200

gc (1.07-1) unstable; urgency=low

  * Initial Release.
  * Manual page added.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 13 Dec 1998 21:09:57 +0100

=== debian/control ===
Source: gcb
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Iain R. Learmonth <irl@fsfe.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/gcb.git
Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/gcb.git

Package: gcb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to calculate long and short path to a location
 Gcb computes long and short path given the latitude and longitude
 (degrees and minutes). You must input the lat/long of the two stations. 
 The output will then be relative from station1 to station2.
 .
 Gcb is used by hamradio operators as a tool for pointing the antenna
 in the right direction, either by using the short (daylight) propagation
 path or using the long path, which is almost always via the dark side
 of the earth.
 .
 Gcb believes the earth to be a perfect circle, which means there will be
 small calculation errors.

=== debian/watch ===
version=3
opts=dversionmangle=s/\.// \
 ftp://ftp.ucsd.edu/hamradio/packet/misc/gc(\d\d+).tar.gz

## gcb 1.07.3

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: gcb
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Iain R. Learmonth <irl@fsfe.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-hamradio/gcb.git
-Vcs-Git: http://anonscm.debian.org/git/pkg-hamradio/gcb.git
+Maintainer: Joop Stakenborg <pa3aba@debian.org>
+Standards-Version: 3.5.9
+Build-Depends: debmake
 
 Package: gcb
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
+Conflicts: gc
 Description: Utility to calculate long and short path to a location
  Gcb computes long and short path given the latitude and longitude
  (degrees and minutes). You must input the lat/long of the two stations.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=gcb

build:
	$(checkdir)
	
	$(MAKE) CFLAGS="-O2 -g -Wall"
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) clean
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	$(MAKE) install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
